Bug 1231270 - perl-Data-Alias-1.18-5.fc23 FTBFS with perl-5.22
Summary: perl-Data-Alias-1.18-5.fc23 FTBFS with perl-5.22
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Data-Alias
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL: https://koji.fedoraproject.org/koji/b...
Whiteboard:
: 1239770 (view as bug list)
Depends On:
Blocks: 1231894 F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-06-12 14:20 UTC by Petr Pisar
Modified: 2015-11-01 02:29 UTC (History)
6 users (show)

Fixed In Version: perl-Data-Alias-1.20-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-01 02:29:47 UTC
Type: Bug


Attachments (Terms of Use)
Build log against Perl 5.22 (6.07 KB, text/plain)
2015-06-12 14:35 UTC, Jitka Plesnikova
no flags Details


Links
System ID Priority Status Summary Last Updated
CPAN 98758 None None None Never
CPAN 100944 None None None Never

Description Petr Pisar 2015-06-12 14:20:53 UTC
perl-Data-Alias-1.18-5.fc23 fails to build with perl-5.22:

gcc -c   -D_REENTRANT -D_GNU_SOURCE -fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic   -DVERSION=\"1.18\" -DXS_VERSION=\"1.18\" -fPIC "-I/usr/lib64/perl5/CORE"   Alias.c
Alias.xs: In function 'da_alias':
Alias.xs:299:24: warning: implicit declaration of function 'IS_PADGV' [-Wimplicit-function-declaration]
   if (SvPADTMP(sV) && !IS_PADGV(sV)) {   \
                        ^
Alias.xs:335:2: note: in expansion of macro 'PREP_ALIAS_INC'
  PREP_ALIAS_INC(value);
  ^
In file included from /usr/lib64/perl5/CORE/perl.h:3728:0,
                 from Alias.xs:14:
Alias.xs: In function 'da_lvalue':
/usr/lib64/perl5/CORE/av.h:62:26: error: 'PADNAMELIST {aka struct padnamelist}' has no member named 'sv_u'
 #define AvARRAY(av) ((av)->sv_u.svu_array)
                          ^

Comment 1 Jitka Plesnikova 2015-06-12 14:35:50 UTC
Created attachment 1038089 [details]
Build log against Perl 5.22

Comment 2 Paul Howarth 2015-07-06 07:49:43 UTC
*** Bug 1239770 has been marked as a duplicate of this bug. ***

Comment 3 Jan Kurik 2015-07-15 14:00:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 4 Petr Šabata 2015-09-23 14:01:01 UTC
I've retired Method::Signatures so this is now a leaf package.

Comment 5 Fedora Admin XMLRPC Client 2015-09-25 14:32:01 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Paul Howarth 2015-09-25 14:33:49 UTC
Package has been retired in Fedora 23.

Comment 7 Paul Howarth 2015-10-22 16:11:26 UTC
Upstream has released version 1.20, which is compatible with Perl 5.22. Re-opening.

Comment 8 Fedora Update System 2015-10-22 16:12:49 UTC
perl-Data-Alias-1.20-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-006cb47c15

Comment 9 Fedora Update System 2015-10-24 12:07:06 UTC
perl-Data-Alias-1.20-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Data-Alias'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-006cb47c15

Comment 10 Fedora Update System 2015-11-01 02:29:43 UTC
perl-Data-Alias-1.20-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.